/* ==========================================================================
   Blog List shortcode - Boxed type style - begin
   ========================================================================== */

.mkdf-blog-list-holder {
	
	&.mkdf-bl-boxed {
		
		&:not(.mkdf-bl-one-column) {
			
			.mkdf-bl-item {
				float: left;
			}
		}
		
		$columns_number: ('two', 'three', 'four', 'five');
		
		@for $i from 0 to length($columns_number) {
			&.mkdf-bl-#{nth($columns_number,$i+1)}-columns {
				
				.mkdf-bl-item {
					width: 100% / ($i+2);
				}

                @if ($i > 1) { // set different break point for four and five columns
                    @media only screen and (min-width: $laptop-landscape-medium-plus-pixel) {
                        .mkdf-bl-item {

                            &:nth-child(#{$i+2}n+1) {
                                clear: both;
                            }
                        }
                    }
                } @else if ($i == 1 ) { // set different break point for three columns
                    @media only screen and (min-width: $laptop-landscape-plus-pixel) {

                        .mkdf-bl-item {

                            &:nth-child(#{$i+2}n+1) {
                                clear: both;
                            }
                        }
                    }
                } @else {
                    @media only screen and (min-width: $ipad-landscape-plus-pixel) {

                        .mkdf-bl-item {

                            &:nth-child(#{$i+2}n+1) {
                                clear: both;
                            }
                        }
                    }
                }
			}
		}
		
		.mkdf-bli-content {
			padding: 40px 30px;
			background-color: #f6f6f6;
		}
		
		.mkdf-post-image {
			margin: 0;
		}
	}
}
/* ==========================================================================
   Blog List shortcode - Boxed type style - end
   ========================================================================== */